%define name xt7-player
%define version 2.9.1028
%define release 1mdv

Summary: xt7-player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: General Public Licence
Group: Video
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Requires: gambas3-runtime >= 2.90.0,gambas3-runtime < 3.0.90,gambas3-gb-image >= 2.90.0,gambas3-gb-image < 3.0.90,gambas3-gb-qt4 >= 2.90.0,gambas3-gb-qt4 < 3.0.90,gambas3-gb-form >= 2.98.0,gambas3-gb-form < 2.99.90,gambas3-gb-dbus >= 2.90.0,gambas3-gb-dbus < 3.0.90,gambas3-gb-desktop >= 2.98.0,gambas3-gb-desktop < 2.99.90,gambas3-gb-settings >= 2.98.0,gambas3-gb-settings < 2.99.90,gambas3-gb-form-mdi >= 2.98.0,gambas3-gb-form-mdi < 2.99.90,gambas3-gb-net >= 2.90.0,gambas3-gb-net < 3.0.90,gambas3-gb-net-curl >= 2.90.0,gambas3-gb-net-curl < 3.0.90,gambas3-gb-qt4-ext >= 2.90.0,gambas3-gb-qt4-ext < 3.0.90,gambas3-gb-web >= 2.98.0,gambas3-gb-web < 2.99.90,gambas3-gb-xml >= 2.90.0,gambas3-gb-xml < 3.0.90
AutoReqProv: no

%description
Xt7-Player, an (almost) complete mplayer gui
This program is written in Gambas, so you will need Gambas to be installed.

%prep
rm -rf %{buildroot}

%setup -q -n xt7-player

%build
/usr/bin/gbc3 -e -a -g -t -p -m 
gba3

%install
install -d %{buildroot}/%{_bindir}
install -p xt7-player.gambas %{buildroot}/%{_bindir}/xt7-player


install -d %{buildroot}/%{_miconsdir}
install -d %{buildroot}/%{_iconsdir}
install -d %{buildroot}/%{_liconsdir}
install -p .icon/16.png %{buildroot}/%{_miconsdir}/xt7-player.png
install -p .icon/32.png %{buildroot}/%{_iconsdir}/xt7-player.png
install -p .icon/48.png %{buildroot}/%{_liconsdir}/xt7-player.png
install -d %{buildroot}/%{_datadir}/applications
cat << EOF > %{buildroot}/%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Version=1.0
Name=xt7-player
Comment=Xt7-Player, an (almost) complete mplayer gui
Exec=%{_bindir}/xt7-player
Icon=xt7-player.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;AudioVideo;Video;
MimeType=audio/mp3;audio/mpeg3;audio/mpeg4;audio/mpg;audio/mpeg;audio/mpegurl;audio/m3u;audio/mp4;audio/wav;video/msvideo;video/mpeg4;video/mpeg;video/x-m4v;video/x-mpeg;video/x-mpeg2;video/mp4;video/x-msmpeg;video/vnd.mpegurl;video/x-mpegurl;video/x-msvideo;video/quicktime;video/x-qtc;audio/x-ms-asf;audio/x-ms-asx;audio/x-ms-wma;audio/x-ms-wax;audio/x-ms-wmp;audio/x-ms-wmv;video/x-ms-asf;video/x-ms-asf-plugin;video/x-ms-asx;video/x-ms-wax;video/x-ms-wmp;video/x-ms-wmv;video/x-ms-wma;video/x-ms-wvx;video/x-ms-wmx;video/x-ms-wm;application/asx;application/x-ms-asf;application/vnd.ms-asf;application/x-ms-wmd;application/x-ms-wmz;audio/scpls;audio/x-scpls;audio/x-pls;audio/vnd.mpegurl;audio/x-mpg;audio/x-mpeg;audio/x-mpeg3;audio/x-mpegurl;audio/x-realaudio;audio/x-pn-realaudio;audio/x-pn-realaudio-plugin;application/x-pn-realaudio;audio/vnd.rn-realaudio;video/x-realvideo;video/x-pn-realvideo;video/vnd.rn-realvideo;video/x-pn-realvideo-plugin;application/vnd.rn-realmedia;application/vnd.rn-realmedia-vbr;application/vnd.rn-realplayer;application/sdp;application/smil;application/x-smil;application/streamingmedia;application/x-streamingmedia;video/nsv;audio/x-mp3;video/x-ogm;video/x-theora;audio/vorbis;audio/x-vorbis;audio/x-oggflac;application/x-ogg;application/ogg;audio/mp1;audio/x-mp1;audio/mp2;audio/x-mp2;audio/x-wav;video/avi;video/x-avi;video/x-divx;video/x-fli;video/x-matroska;audio/x-matroska;application/x-mplayer2;application/x-cda;audio/aac;audio/ac3;audio/basic;audio/m4a;audio/x-aac;audio/x-adpcm;audio/x-flac;audio/x-m3u;audio/x-m4a;audio/x-musepack;audio/x-pn-windows-pcm;video/x-3gpp;video/x-3gpp2;video/mediaplayer;uri/mms;uri/mmst;uri/mmsu;uri/pnm;uri/rtsp;uri/rtspt;uri/rtspu
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/xt7-player

/%{_miconsdir}/xt7-player.png
/%{_iconsdir}/xt7-player.png
/%{_liconsdir}/xt7-player.png
/%{_datadir}/applications/%{name}.desktop

%changelog

* Wed Nov 23 2011 Antonio Orefice <xt7player@gmail.com> 2.9.1028
- NEW:    New link shown when a translation for the current language doesn't exist, thanks to eloaders for this.
- FIX:    Don't leave alang or slang without values
- FIX:    Save alang and slang options in cachedoptions
- CHANGE: Make dbus support optional and disabled by default
- ........(Will hopefully fix a segfault in gambas/Ubuntu 64-bit ?)
- CHANGE: Do not force any audio driver in Factory_defaults profile
- ........Enable softvol in Factory_defaults profile
- ........Warn users about it
- ........(fix volume change issues with default pulseaudio+mplayer under Ubuntu)

2.9.917

- FIX: exception on library sync
- FIX: Don't force an ass style if no options to force it are selected
- FIX: open xt7, go to profiles tab, click load -> crash.
- FIX: Hotkeys could not be loaded/saved
- FIX: better audio panel appaerance when an high default font used



- NEW: in memory timeshifting for dvb streams with high cache values
- NEW: Write prefill cache status too
- NEW: Standard output and standard error on different tabs under log window.
- NEW: Search highlighting in logwindow
- NEW: Completed the port to qt4/Gambas3
- NEW: End of qt3 support? gambas 3 needed (actually 2.99+)
- NEW: Vertical tabs option
- FIX: removed solid resizing from the vertical splitter (too slow in qt4)
- FIX: lower startup time
- FIX: Faster and less glitchy filter drag'drop managment
- NEW: added an option under General-options->tweaks to disable kwin effects in fullscreen mode.
- NEW: Popup window can be moved and made translucent (mouse wheel on the 'pin' button)


- FIX: removed unused "denoise" option from dering and autolevels video filters
- FIX: Catch flash videos even with newer flash version: requires 'find' utility.

- NEW: Support for DVB-T streams: requires 'scan' and 'femon' utilities.
- NEW: Option for subtitles "mkv workaround" see mplayer bug id 1870
       selecting it will disable any ass rendering but allows embedded mkv
       subtitles to be shifted backwards in time.
- NEW: Youtube subtitles support
- FIX: Video equalizer window size now adapts to font size correctly
- NEW: added 16:10 and 1:1 modes to the video aspect menu
- FIX: Negative equalizer gains are back
- NEW: Audio equalizer works in realtime 
       (no need to apply anymore, just throw the equalizer filter in the audio chain)
       (Recent mplayer version needed, at least 32505)
- NEW: Audio filters changes are applied without restarting mplayer  by clicking "apply"
       in the audio filters window or in the chains window if no video filter changed.
       (Recent mplayer version needed, at least 32505)
       The function may not work all the times, so just hitting "apply" twice will force
       the old behaviour.
- NEW: Added "-mixer-channel" option in Generel Options (works for alsa and oss)
- NEW: Removed mixer channel from oss audio driver settings
- FIX: remove all video filters for xvmc too (was vaapi and vdpau only)
- NEW: Right click a tab to switch to a new one or to select what tabs to show

* Tue Jan 04 2011 Antonio Orefice <xt7player@gmail.com> 0.9.299
- FIX: Audio filter parsing fix
- FIX: support for new shoutcast protocol
- FIX: glitch on toolbar icon
- CHANGE: Added .ogv to the common video extension list
- CHANGE: shrink toolbar height only if screen height < 601 px.
- FIX: Better handling of fullscreen panels
- NEW: Support for 8 (7.1) channels
- FIX: Better handling of nop_streaming_error on youtube seeks
- FIX: possible runtime error on rss feeds retrieval
- FIX: possible runtime error on youtube thumbnails retrieval
- FIX: problems when default shell is not bash
- NEW: print cache fill status next to the window title
- NEW: added "-framedrop option" (useful to display 24p streams on 24hz modelines)
- NEW: handle more youtube urls
- FIX: better look on dark themes


* Thu Dec 09 2010 Antonio Orefice <xt7player@gmail.com> 0.9.272
- FIX: youtube works again
- FIX: removed ogg demuxer from mplayer_idle as it leads to missing informations in the firs file added
- 'use audiotag instead (slower...)
- FIX: Http get operations doesn't block the ui anymore
- FIX: Better handling of temp files
- FIX: Display correct youtube stream title in playlist mode
- FIX: Higher network timeouts
- NEW: Download podcasts and youtube streams in background
- with kioclient,kfmclient,wget,aria2 or a user defined command.

* Mon Nov 15 2010 Antonio Orefice <xt7player@gmail.com> 0.9.262
- NEW: Initial youtube support (youtube tab), choose between 360p,720p,1080p in network preferences
- NEW: Added -cache-min option in network preference (very useful for youtube streams)
- NEW: Added -cache-seek-min option in network preference( very useful for youtube streams)
- CHANGE: added gb.web dependancy
- NEW: Added -prefer-ipv4 option in network preference
- NEW: stream address in log window
- CHANGE: max cache value raised to 100MB
- FIX: explicitely ignore any config file (-noconfig all)
- FIX: update shoutcast gave a runtime error
- FIX: disable all video filters for vaapi

* Mon Oct 25 2010 Antonio Orefice <xt7player@gmail.com> 0.9.249
- FIX: drag'n drop bug due to a packaging mistake
- FIX: Sometimes trayicon video thumbnail didn't show up

* Tue Oct 05 2010 Antonio Orefice <xt7player@gmail.com> 0.9.245
- FIX: (sort of) force ogg demuxer for ogg streams in order to read ogg audio tags.

* Tue Sep 28 2010 Antonio Orefice <xt7player@gmail.com> 0.9.241
- FIX: Runtime Error when dropping some m3u files into library/playlist tabs
- FIX: runtime audio level callback was broken
- NEW: Detect a stalled mplayer and try to restart it
- FIX: Local hotkeys recognition fixes
- FIX: runtime error at startup if shoutcast tab was hidden
- FIX: In come cases, wrong media was chosen after hitting "use"
- FIX: Sometime mouse stays hidden on video area when exit from fullscreen
- NEW: Basical Filesystem browser under "browse" tab
- NEW: File requester in generic "add uri" window
- NEW: Snap to window borders when on Panscan (zooming-in) operations
- NEW: Allow realtime Aspect ratio change
- NEW: started to implement themable icon themes (nothing visible for now)
- NEW: Move playlist items up/down using buttons and/or mouse wheel
- FIX: Save of unsorted playlist/library items.
- FIX: missing unsharp mask filter under chains window
- FIX: Just deleted items don't appears instead of new dropped ones anymore (library and playlist)
- NEW: Allow user to specify additional known extensions
- CHANGE: Faster startup and shutdown
- (gridviews_data functions tweaks)
- FIX: Reset ProgressBar on new Cover fetch
- CHANGE: SpeedUp column autosize method
- NEW: Experimental cover display in listviews
- (enable/disable under style tab in general options window)
- NEW: mouseover effect in listview item
- (enable/disable under style tab in general options window)
- FIX: Better font rendering in the black audio panel
- FIX: Library wont scroll to right anymore when dropping items

* Tue Mar 30 2010 Antonio Orefice <xt7player@gmail.com> 0.9.183
- CHANGE: use C locale settings for mplayer process
- CHANGE: updated italian translation.
- FIX: startup runtime error in SubAndOsd (thanks to alberto from MIB-Team)
- FIX: Better xt7-mplayer sync routine (no more 0 length size files in playlist/library)
- CHANGE: wrap text in log window
- NEW: autosync option
- FIX: make xt7-player workd even if mplayer was compiled withoud libdvdread support
- FIX: Random play is back (thanks nickinicki)
- FIX: set -nocache parameter for dvdnav streams (news on mplayerhq.hu)
- FIX: LogWindow: don't repeat the same (mplayer) log message more than 20 times
- FIX: Don't cut radio song name
- FIX: open containing folder crash if no item selected
- FIX: Hotkeys window now has a save button
- NEW: Allows to add podcasts to library and/or playlist
- NEW: AutoDetect Cdrom and dvdrom devices.
- NEW: AudioCd support (no cddb:// due to slow freedb server)
- CHANGE: More log window messages
- CHANGE: Uses different cache sizes for network,dvd audiocd,and local file
- NEW: Search and, if found, launch qt3 configuration tool.
- FIX: Runtime error whan adding an uri in library+playlist and a search field which returned 0 results
- in playlist was selected.
- FIX: The first element in playlist and library was always lost whan closing and reopening xt7
- FIX: Radio label out of phase
- FIX: Podcast Url(s) wasn't saved on disk if "save all settings to profile on program exit" was checked
- (thanks symbianflo)

* Mon Feb 22 2010 Antonio Orefice <xt7player@gmail.com> 0.9.164
- Fix runtime error whan adding an uri in library+playlist and a search field which returned 0 results
- in playlist was selected.
- The first element in playlist and library was always lost whan closing and reopening xt7

* Thu Feb 18 2010 Antonio Orefice <xt7player@gmail.com> 0.9.162
- FIX: lavdopts options parsing
- NEW: decoding thread number options
- FIX: some english typos (thanks Jacky Bamière)
- FIX: some language dependant code removed (thanks Jacky Bamière)
- FIX: xdg-open wasn't found even if it exists
- FIX: If vdpau video driver is selected (which doesn't means used), video filter
- chain is cleared (mplayer+vdpau+video filters doesn't play at all)
- FIX: workarounded an mplayer 'bug' with some hotkeys when ladspa filters are used
- (see bug: http://bugzilla.mplayerhq.hu/show_bug.cgi?id=1334)
- FIX: Update a podcast rss fixed
- NEW: Shoutcast radio support
- NEW: Display total selection length in playlist and library
- FIX: Dvd navigation via mouse
- FIX: *faster* startup time
- FIX: Little bug in generaloptions listview selection
- FIX: Interface colors with dark themes
- FIX: Bug in profile manager routines, save settings to new profiles was impossible.
- FIX: Subtitles and osd window rearranged to fit 1024x600 netbook resolutions
- NEW: simplified Chinese translation added (thanks shimingzhou)
- NEW: Preliminary support to dvd menus (not 100% stable, but usable)
- NEW: added some configurable hotkeys
- NEW: added dvd navigation hotkey configuration
- NEW: In dvd navigation mode, left mouse select items and doesn't pause anymore.
- FIX: dots in profile name not allowed anymore
- FIX: Don't make factory defaults profile at start if profile already exists
- NEW: Choose to save or not form geometry on exit.
- FIX: workarounded form geometry save/load to work the same way with kwin3+kwin4+compiz
- (expect a glitch with compiz if you use close animation)
- FIX: Less glitches when switching Fullscreen
- FIX: Free drag.data (avoiding reparenting the object which accepted drop)
- NEW: Gradfun video filter (very recent mplayer version needed!)
- NEW: Added "reset to default" buttons near filter configurations

* Tue Sep 15 2009 Antonio Orefice <xt7player@gmail.com> 0.9.97
- FIX: An endless loop in library syncronization routine
- NEW: allow the user to choice a specific demuxer
- NEW: Preliminary support for podcasts
- FIX: Fullscreen resize bug
- CHANGE: Switched to simplier file dialogs
- FIX: Enabled Oss driver by default because of mplayer+alsa problems under ubuntu jaunty jackalope
- FIX: Workarounded a problem with metacity+Gambas < 2.2.15.0 (jaunty jackalope) and volume panel popup.
- Ubuntu (gnome) users should get latest gambas versions.
- FIX: Updated code to new Amazon Services api to download covers (broken since 15 Aug 2009)
- NEW: Log window search function
- NEW: Integrated support for vdpau driver and codecs
- FIX: Allows to restore the Factory default profile
- CHANGE: Moved profile manager into left side tabs.
- NEW: Allow to select which (left) tabs to show
- FIX: Faster startup
- FIX: Better default subtitle font and color values
- NEW: Allows some interface customization
- NEW: Catch temporary flash videos in /tmp folder and allows to download and watch them
- (works on youtube,megavideo,yahoo video and more)
- NEW: Trayicon
- FIX: More robust Library sync process when dealing with corrupted media.
- NEW: List to exclude some paths from being scanned during Library sync.
- NEW: Read and update StreamTitle changes from Network streams (Webradios)
- NEW: Shutdown options
- FIX: ToolBar bkg color fix.
- FIX: Sometimes video area didn't get correct Aspect Ratio.
- FIX: Drag'n Drop didn't work on gnome-desktop
- FIX: Restore video playback when exiting tag edit mode.
- FIX: Fullscreen and windowed zoom are equals now.
- NEW: Ability to set cover on a filename basis other than Artis/album.
- FIX: Increased Maximum cache size to 99999KB
- NEW: Network Streams icon
- FIX: Segmentation fault when dropping a file into the audiobox while a media is playing

* Fri Jun 19 2009 Antonio Orefice <xt7player@gmail.com> 0.9.30
- FIX: More robust Library sync process when dealing with corrupted media.
- NEW: List to exclude some paths from being scanned during Library sync.
- NEW: Read and update StreamTitle changes from Network streams (Webradios)
- NEW: Shutdown options
- FIX: ToolBar bkg color fix.
- FIX: Sometimes video area didn't get correct Aspect Ratio.
- FIX: Drag'n Drop didn't work on gnome-desktop
- FIX: Restore video playback when exiting tag edit mode.
- FIX: Fullscreen and windowed zoom are equals now.
- NEW: Ability to set cover on a filename basis other than Artis/album.
- FIX: Increased Maximum cache size to 99999KB

* Mon May 25 2009 Antonio Orefice <xt7player@gmail.com> 0.9.13
- FIX: Bug which prevented to set and display a cover on flac files.
- FIX: Fullscreen switch sometimes didn't correctly arrange the controls.

* Fri May 15 2009 Antonio Orefice <xt7player@gmail.com> 0.9.9
- NEW: es_ES translation (thanks to i92guboj)
- FIX: Center windows to be "multi-head"(twinview,xinerama) friendly
- FIX: Some beryl/compiz workarounds.
- FIX: Critical fix in pt_BR translation (esd audio driver)
- FIX: better .desktop file (thanks wackenroader)
- FIX: missed runtime error handling on dvd play routine
- CHANGE: few fixes to gui
- NEW: Multiple tag editing capabilities
- FIX: Workarounded an mplayer bug in sub_load slave cmd (spaces in filenames)
- NEW: Resizable upper panel (playlist etc) in fullscreen mode
- NEW: Import/Export .xpl .m3u,and .pls playlists, export with absolute paths only.
- NEW: Dragging and droppping supported playlist files in library or playlist will append them
- FIX: Dropdown and popup menus reorganization
- FIX: Follow sym links
- FIX: SpeedUp the library sync process.
- FIX: correct icon for wmv files
- FIX: Workarounded mplayer bug with dots/commas when using ladspa filters
- NEW: Cover fetcher via amazon services or file on disk
- NEW: Show cover and info when playing an audio file
- FIX: Runtime error "access denied" on library sync

* Fri Jan 23 2009 Antonio Orefice <xt7player@gmail.com> 
- NEW: pt_BR translation (thanks to wackenroader)
- NEW: Added http_proxy option
- NEW: Added subtitle fuzziness option
- FIX: Added a menu item to disable subtitles display
- FIX: First dropped or synched item usually generates a timeout.
- FIX: Only 1/10 Cache fill messages are parsed
- NEW: Allow custom names in library/playlist when adding new items
- NEW: Ask user to remove non existent files from library.
- FIX: Change media while paused safe now.
- NEW: Configurable Toolbar button position + "configure->Lock toolbar" menu
- CHANGE: buttons Apply,OK -> Save,Use,Close
- NEW: Audio and subtitle tracks identification and selection via "file->Streams" menu
- NEW: Dvd navigation and playback from drive,folder and iso
- NEW: Tabstrip with dvd tree view (titles,chapters and angles)
- NEW: Dropping a .iso file or a VIDEO_TS folder into video area, will auto-play it as DVD.
- NEW: DVD Titles and chapters selection with Main Title Autoguess
- FIX: wrong columns autosize
- NEW: Audio and subtitle language preferences in General options
- NEW: Subtitles: Shadow Color,Shadow alpha and outline alpha parameters
- NEW: Removed cachedoptions, hard to manage, mostly useless.
- FIX: Changed zzFake visibility state to work with new gambas versions (2.10+)
- FIX: "WAIT" for the pipe to be written (getvolume,do pause and so on) in send function, mplayerclass
- FIX: some tags happens to "spread" on other media on library sync.

* Fri Nov 28 2008 Antonio Orefice <xt7player@gmail.com> 
- FIX: runtime error on library sync
- FIX: use of Ladspa filters breaks speed changes too, worked-around...
- CHANGE: commandline options .-append becames -append (without the dot)
- CHANGE: Lowercased name: Xt7-Player -> xt7-player
- FIX: layout glitch on library synchronization
- CHANGED: Kde3.5 dependancy removed (->some gui changes in subtitle window),
- qt3 still needed. (Dev-Note: args has been shifted +1)
- FIX: Use of some ladspa filters breaks volume reads and writes (wth?), worked-around...
- FIX: postcommand not executed if xt7 is closed while mplayer is playing something
- FIX: Media recognition during library synchronization pulled in some non mediafiles
- FIX: regression in local hotkeys definition (non printable keys not recognized)
- FIX: Don't go on in playlist if user hits stop.
- NEW: playlist/library random play button
- NEW: Playlist/library history -> previous button selects the previously played media,if any, or else, go up.
- NEW: Added another Custom Audio and Custom Video Filter (you may need to configure them again)
- FIX: wrong channels number in library sync (rare case)



* Wed Nov 12 2008 Antonio Orefice <xt7player@gmail.com> 
- NEW: Work made to make project translable, italian translation added.
- FIX: sometimes column sorting sorts a different field.
- NEW: configurable Eq2 filter in video chain
- NEW: configurable Hue filter in video chain
- NEW: Realtime Video Equalizer
- NEW: Added homepage link.
- NEW: Translations needed popup

* Fri Oct 31 2008 Antonio Orefice <xt7player@gmail.com> 
- FIX: sometimes program got stuck on exit.
- FIX: (Cachedoptions): audio&video driver preference didn't correctly restored at startup
- New: Allow user to choose which video driver to use to display subtitle preview.
- FIX: Codecs priority not loaded at startup.
- NEW: Adaptor selection in xv driver configuration (try it instead of "port"
- to enable overlay on intel cards to avoid tearing issues),
- need mplayer-svn >=1.0_rc2_p27120-r1
- FIX: Scale osd text as well
- NEW: Freely configurable custom audio and video filters in filter chains.
- CHANGED: Cosmetic changes (qt domino style and toolbuttons)
- FIX: Better videoarea focus managment.
- CHANGED: Use FIFO(s) to talk to mplayer (workaround for archlinux+kde(mod?))
- FIX: don't kill xbindkeys which don't belong to you.
- NEW: Volume bar drag now popup percent volume with -softvol-max overboost value
- Changed: Default subtitle and osd aspect.
- NEW: Log window
- FIX: Speedincr +0.1 --> Speed_incr +0.01
- NEW: Sync now button in general options, and disable some gui-controls during sync
- FIX: crash on library update commit on kubuntu 8.10/kde4.1
- FIX: graphical glitch in volume bar
- FIX: don't save seekbar, volumebar and statusbar status to profile
- FIX: Create temporary files in home directory instead of tmp
- FIX: Delete temorary files at exit
- *NEW: New media we'll be played through the existing Xt7-Player instance.
- (you can still have multiple Xt7-Player opened at the same time by running it
- without arguments)
- NEW: .-append 'media' parameter (yes, with the dot) to append a media to the playlist.
- NEW: listen on local sock for remote commands:
- append 'uri' (single quotes) -> appends an uri to playlist

* Wed Oct 08 2008 Antonio Orefice <xt7player@gmail.com> 
-FIX: Exception on exit if no global hotkey is defined.

* Tue Oct 07 2008 Antonio Orefice <xt7player@gmail.com> 
-FIX: comment tags not added to library.
-FIX: Video area not correctly resized in window mode.
-NEW: Global hotkeys managment through xbindkeys (new dependancy).
-FIX: scale filter added to the beginning of chain (was the end).
-NEW: Option to disable SSA font rendering.
-NEW: Option to configure osd appaerance.
-FIX: Better local hotkeys managment (All printable characters should work now).
-FIX: apply button during pause restarted streams from the beginning.
-FIX: save to profile didn't save audio/video drivers priority sometimes.
-FIX: sometimes info on streams was missing.
-FIX: Exit from fullscreen mode on media end if we're not in playlist mode.
-NEW: "Save on exit" option in "general options->misc".
-NEW: Help page on codecs priority window.
-NEW: Audio/Video Codecs priority window.
-NEW: "Remove from disk" menu option on library.
-NEW: Added the relative mplayer option to hints.
-NEW: configuration toolbox for who don't like to use menus.
-NEW: menu options: "Configure: video: General video options", Configure: audio: General audio options.
-FIX: xt7-player.png -> Xt7-Player.png

* Tue Sep 09 2008 Antonio Orefice <xt7player@gmail.com> 
- FIX: Sometimes statusbar didn't display text on fullscreen switch.
- NEW: Default hardened hotkey values
- NEW: (optional) Zoomed movies can be freely panned with a mouse drag.
- FIX: any keypresses make the player left paused state
- FIX: Only left mouse button dblclick switch fullscreen state
- NEW: Active chain filters now are marked in the filters configuration page.
- NEW: Exit hotkey now leaves fullscreen.
- NEW: DblClick on the status bar now changes display time format.
- FIX: (multiple display/multihead users) Show/hide control panels only if the mouse is on the player display
- FIX: VideoArea now correctly get focus in fullscreen
- NEW: Smooth controlbox Hide/show
- FIX: FullScreen button don't stay "pressed" anymore
- NEW: Option to disable start banner animation

* Thu Aug 07 2008 Antonio Orefice <xt7player@gmail.com> 
- Added more media extensions recognition.
- doubleclicking in the empty library space gave a runtime error: ("Bad row index. FMain.?.0")
- New menu options to clear playlist and library
- New toolbuttons: switch audio and subtitles track
- Drag'n drop of a subtitle file into the video area load and (hopefully, due to a bug in mplayer) display it.
- supported extensions for d'nd *.SRT;*.ASS;*.SUB;*.SSA
- Show chains button on AfiltersCfg didn't show chains.
- New options to choose mplayer and audiotag executables
- Profile manager: 'Switch without load' option to save the current profile over another one.
- cached options saved on every save operation.

* Tue Jul 29 2008 Antonio Orefice <xt7player@gmail.com> 0.6.0
  -First (beta) public version

